# std::make_error_code(std::errc)

From cppreference.com
< cpp‎ | error‎ | errc

Defined in header `<system_error>` |  |
std::error_code make_error_code( std::errc e ); |  | (since C++11)

Creates error code value for errc enum `e`.

Equivalent to std::error_code(static_cast<int>(e), std::generic_category())

### Parameters

e | - | error code enum to create error code for

### Return value

Error code corresponding to `e`.

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/errc/make_error_code&oldid=91322"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template